main {
    line-height: 2rem;
    font-size: 1.125rem;
    padding-inline-start: 1rem;

    a:not(.pg){
        color:oklch(0.5325 0.1679 262.29);

        &:visited {
            color: oklch(0.5841 0.2356 288.83);
        }
    }
}

h1{
    font-size: 2rem;
}

.foto{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    padding-block-start:4rem;

    h1{
        max-width: 620px;
        line-height: 5rem;
    }

    picture {

        img {
            width: 100%;
            aspect-ratio: 3/2;
            max-height: 20rem;
            border-radius: 1rem 1rem 0 0;
        }
    }
}

.end{
    padding-block-end: 3rem;
}

section{
    max-width: 75rem;
    margin-inline:auto;
    padding-inline:1rem;
}

.pg {
    color: inherit;
    text-decoration: none;
    border: 2px solid var(--primary);
    padding: 0.25rem 0.5rem;
    border-radius: 0.5rem;
    display: inline-block;

    &:hover {
        background-color: var(--primary);
        color: var(--bg);
        transition: all 0.3s ease;
    }
}

@media (min-width: 40em){
    h1{
        font-size: 4rem;
    }

    .foto{
        flex-direction: row;
        align-items: center;
    }
}
